eoLinearTruncate(3)

NAME
eoLinearTruncate - a truncate class that does not sort, but repeatidely kills the worse.

SYNOPSIS

#include <eoReduce.h>

Inherits eoReduce< EOT >< EOT >.

  Private Member Functions
void operator() (eoPop< EOT > &_newgen, unsigned _newsize)
The pure virtual function that needs to be implemented by the subclass.

Detailed Description

  template<class EOT> class eoLinearTruncate< EOT >
a truncate class that does not sort, but repeatidely kills the worse. To be used in SSGA-like replacements (e.g. see eoSSGAWorseReplacement)

Definition at line 167 of file eoReduce.h.

Author

Generated automatically by Doxygen for EO from the source code.